# Summary

- [Introduction](introduction.md)

- [Getting Started](gettingstarted.md)

- [Language](language/index.md)
	- [Variables](language/variables.md)
	- [Types](language/types.md)
	- [Operators](language/operators.md)
	- [Control flow](language/control_flow.md)
	- [Constants](language/constants.md)
	- [Functions](language/functions.md)
	- [Generics](language/generics.md)
	- [Imports](language/imports.md)
	- [Comments](language/comments.md)
	- [Macros](language/macros.md)
    - [Logging](language/logging.md)

- [Toolbox](toolbox/index.md)
    - [CLI](toolbox/cli.md)
    - [Trusted Setup](toolbox/trusted_setup.md)
    - [Standard Library](toolbox/stdlib.md)
    - [Proving schemes](toolbox/proving_schemes.md)
    - [Verification](toolbox/verification.md)
    - [ZIR](toolbox/ir.md)
    - [JSON ABI](toolbox/abi.md)
    - [zokrates.js](toolbox/zokrates_js.md)

- [Examples](examples/index.md)
    - [A SNARK Powered RNG](examples/rng_tutorial.md)
    - [Proving knowledge of a hash preimage](examples/sha256example.md)
    - [A ZK Magic Square in the browser](examples/magic_square.md)

- [Testing](testing.md)
